<div class="documentation-content-container">
  <section class="mat-typography">
    <h2>Classification</h2>
    <p>
      <b>PCA for Molecule Selection</b> shows a PCA plot based on the selected
      molecules. The molecule panel is of interest if you can see a good
      separation of groups in the PCA plot.
    </p>
    <p>
      <b>Pairwise Scatter Plot</b> shows plots of value distributions of each
      molecules for the different groups.
    </p>
    <p>
      <b>Volcano Plot</b> shows a volcano plot (see step 1) with molecules of
      the selected panel highlighted.
    </p>
    <p>
      <b>Hierarchical Clustering</b> shows a hierarchical Clustering of samples
      based on the selected molecules.
    </p>
  </section>
  <lib-result-figures
    [imageLinks]="classifierImages$ | async"
    [isLoading]="isLoading()"
    [tabLables]="tabLables"
    [hasResultTable]="true"
    [resultTableLabel]="'Classification Metrics'"
  >
    <table mat-table result-table [dataSource]="metrics$ | async">
      <ng-container matColumnDef="metric">
        <th mat-header-cell *matHeaderCellDef>metric</th>
        <td mat-cell *matCellDef="let element">{{ element.metric }}</td>
      </ng-container>

      <ng-container matColumnDef="value">
        <th mat-header-cell *matHeaderCellDef>value</th>
        <td mat-cell *matCellDef="let element">
          {{ element.value | number: "1.2-2" }}
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </lib-result-figures>
</div>
